<html>

    <body>
        Penjumlahan
        <br>
        <br>
        Angka 1 : <input id="num1" type="number"  />  <br> 
        Angka 2 : <input id="num2" type="number" /> <br>

        <button id="btnTambah">Tambah</button> <br>
        Hasil :
        <div id="hasilContainer"> 

        </div>

        

    </body>

    <script>
        //define all element (inputs, button, etc) into variable
         var input1 = document.getElementById("num1");
         var input2 = document.getElementById("num2");

         var btnTambah = document.getElementById("btnTambah");
         var hasilContainer = document.getElementById("hasilContainer");

         btnTambah.onclick = function(){
             var num1 = parseInt(input1.value); // parseInt(angka) -> merubah text ke bilangan bulat
             var num2 = parseInt(input2.value);

             var hasil = tambah(num1, num2)

             hasilContainer.textContent = hasil;
         }



        function tambah(a,b) //nama perintah
        {
            //variable -> wadah yg dapat diisi oleh data apa saja (tipe)
            return a+b ;
        }
    </script>
</html>